%define oraepoch 2
%define phpdir /usr/lib64/php/modules
%define phpapi 20100412
%define oravers 12.1

Summary: A module for PHP applications that use Oracle database
Name: php-oracle
Version: 1.0
Release: 4%{?dist}
URL: http://pecl.php.net/package/PDO_OCI
Source0: http://pecl.php.net/get/PDO_OCI-%{version}.tgz
License: PHP
Group: Development/Languages
Packager: CERN Linux Support, http://cern.ch/linux
Requires: %{phpdir}
Requires: php-api = %{phpapi}
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: php-devel
BuildRequires: oracle-instantclient-devel >= %{epoch}:%{oravers}
Requires: oracle-instantclient-basic >= %{epoch}:%{oravers}
# no (recent) instantclient for ia64
ExclusiveArch: x86_64

# adapt to the way we build the instantclient at CERN, and drop the
# "--rpath" to find different instantclient libs. Needs CFLAGS/LDFLAGS
# below.
Patch1: php-oracle-lib64.patch
Patch2: php-oracle-oci11.patch 
Patch3: php-oracle-oci11-2.patch
Patch4: php-oracle-oci12.patch
Patch5: php-oracle-php54-compile.patch

%description
The php-oracle contains a dynamic shared object that will add
Oracle database support to PHP.
It has been linked against the ORACLE instantclient %{oravers} but
should work with others as long as the libraries are found in your
search path.
It should work with any PHP that claims Api version %{phpapi}.

%prep
%setup -q -n PDO_OCI-%{version}
%patch1 -p1 
%patch2 -p1 
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
phpize

export CPPFLAGS=-I/usr/include/oracle/%{oravers}/client64/
export LDFLAGS=-L/usr/lib/oracle/%{oravers}/client64/lib/
./configure --with-pdo-oci=/usr/lib/oracle/%{oravers}/client64/
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%phpdir/
install -m 755 modules/pdo_oci.so $RPM_BUILD_ROOT%phpdir/

mkdir -p $RPM_BUILD_ROOT/etc/php.d/
cat > $RPM_BUILD_ROOT/etc/php.d/pdo_oci.ini <<EOF
; Enable pdo_oracle extension module
extension=pdo_oci.so
EOF



%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CREDITS run-tests.php
%config /etc/php.d/pdo_oci.ini 
%phpdir/pdo_oci.so

%changelog
* Thu Dec 03 2015 Jaroslaw Polok <jaroslaw.polok@cer.ch> - 1.0-4
- fix reqs again.

* Fri Sep 12 2014 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 1.0-3
- fix reqs

* Wed Sep 10 2014 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 1.0-2
- el7 rebuild 

* Fri Nov 30 2012 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 1.0-2
- unified build 5/6
- rebuild for instantclient.

* Thu Oct 20 2011 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- SLC6 build

* Thu Feb 18 2010 Jan Iven <jan.iven@cern.ch> - 1.0
- initial revision


